﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="ModeloDocumentosFX.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2005" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="CFDI_USUARIO">
          <Key>
            <PropertyRef Name="ROW_ID" />
          </Key>
          <Property Name="ROW_ID" Type="int" Nullable="false" />
          <Property Name="USUARIO" Type="nvarchar(max)" />
          <Property Name="PASSWORD" Type="nvarchar(max)" />
          <Property Name="TIPO" Type="nvarchar(max)" />
          <Property Name="ROW_ID_EMPRESA" Type="float" />
          <Property Name="USUARIO_PRUEBA" Type="nvarchar(max)" />
          <Property Name="PASSWORD_PRUEBA" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="configuracionBancoSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="banco" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="CLABE" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="cuenta" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="socioNegocio_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="configuracionCCESet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="emtityId" Type="nvarchar(max)" />
          <Property Name="excepcionCliente" Type="nvarchar(max)" />
          <Property Name="excepcionProduct" Type="nvarchar(max)" />
          <Property Name="excepcionArticulo" Type="nvarchar(max)" />
          <Property Name="UDFVMPRTMNT" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="configuracionConexionSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="tipo" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="servidor" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="baseDatos" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="usuario" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="password" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="visualSite" Type="nvarchar" MaxLength="100" />
          <Property Name="visualEntity" Type="nvarchar" MaxLength="100" />
          <Property Name="visualBDAuxiliar" Type="nvarchar" MaxLength="100" />
          <Property Name="socioNegocio_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="configuracionIncumplidosSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="rfc" Type="nvarchar(max)" Nullable="false" />
          <Property Name="fechaCreacion" Type="datetime" Nullable="false" />
          <Property Name="nombre" Type="nvarchar(max)" Nullable="false" />
        </EntityType>
        <EntityType Name="configuracionNotificacionSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="bienvenidaMensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="bienvenidaAsunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="aceptacionAsunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="aceptacionMensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="rechazoMensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="rechazoAsunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="validacionMensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="validacionAsunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="autorizacionAsunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="autorizacionMensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="recuperacionMensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="recuperacionAsunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="socioNegocio_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="configuracionProductoSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="fechaCreacion" Type="datetime" Nullable="false" />
          <Property Name="producto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="clasificacionSAT" Type="nvarchar(max)" Nullable="false" />
          <Property Name="unidadSAT" Type="nvarchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="configuracionUMSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="UnidadMedida" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="SAT" Type="nvarchar" MaxLength="50" />
          <Property Name="CE" Type="nvarchar" MaxLength="50" />
          <Property Name="FactorCE" Type="decimal" Precision="16" Scale="8" Nullable="false" />
        </EntityType>
        <EntityType Name="cxpConciliacionSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="uuid" Type="nvarchar(max)" Nullable="false" />
          <Property Name="fechaCreacion" Type="datetime" Nullable="false" />
          <Property Name="oc" Type="nvarchar" MaxLength="50" />
          <Property Name="usuario" Type="nvarchar(max)" />
          <Property Name="voucherId" Type="nvarchar" MaxLength="100" />
          <Property Name="rfcEmisor" Type="nvarchar" MaxLength="100" />
          <Property Name="tipoDocumento" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="depositoLineaSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="factura" Type="datetime" Nullable="false" />
          <Property Name="monto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="deposito_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="depositoSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="fechaCreacion" Type="datetime" Nullable="false" />
          <Property Name="fechaDeposito" Type="nvarchar(max)" Nullable="false" />
          <Property Name="banco" Type="nvarchar(max)" Nullable="false" />
          <Property Name="archivo" Type="nvarchar(max)" Nullable="false" />
          <Property Name="estado" Type="nvarchar(max)" Nullable="false" />
          <Property Name="usuarioCreador" Type="nvarchar(max)" Nullable="false" />
          <Property Name="VISUALid" Type="nvarchar(max)" Nullable="false" />
        </EntityType>
        <EntityType Name="dispositivoSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="deviceToken" Type="nvarchar(max)" Nullable="false" />
          <Property Name="os" Type="nvarchar(max)" Nullable="false" />
          <Property Name="usuario_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="documentoSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="uuid" Type="nvarchar" MaxLength="60" Nullable="false" />
          <Property Name="tipoComprobante" Type="nvarchar" MaxLength="60" Nullable="false" />
          <Property Name="fechaCreacion" Type="nvarchar(max)" Nullable="false" />
          <Property Name="uuidPadre" Type="nvarchar" MaxLength="60" Nullable="false" />
          <Property Name="voucher" Type="nvarchar" MaxLength="60" Nullable="false" />
          <Property Name="fechaFactura" Type="datetime" Nullable="false" />
          <Property Name="fechaAutorizacion" Type="datetime" Nullable="false" />
          <Property Name="fechaEstimada" Type="datetime" Nullable="false" />
          <Property Name="fechaIngreso" Type="datetime" Nullable="false" />
          <Property Name="oc" Type="nvarchar" MaxLength="40" Nullable="false" />
          <Property Name="pedido" Type="nvarchar" MaxLength="40" Nullable="false" />
          <Property Name="estado" Type="nvarchar(max)" />
          <Property Name="total" Type="decimal" Precision="16" Scale="4" Nullable="false" />
          <Property Name="moneda" Type="nvarchar" MaxLength="15" Nullable="false" />
          <Property Name="factura" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="vendorId" Type="nvarchar" MaxLength="30" Nullable="false" />
          <Property Name="rfc" Type="nvarchar" MaxLength="30" Nullable="false" />
          <Property Name="proceso" Type="tinyint" />
          <Property Name="rfcEmisor_Id" Type="int" Nullable="false" />
          <Property Name="rfcReceptor_Id" Type="int" Nullable="false" />
        </EntityType>
        <!--Errors Found During Generation:
warning 6002: The table/view 'documentosfx.dbo.EMPRESA' does not have a primary key defined. The key has been inferred and the definition was created as a read-only table/view.-->
        <EntityType Name="EMPRESA">
          <Key>
            <PropertyRef Name="ROW_ID" />
            
          </Key>
          <Property Name="ROW_ID" Type="int" Nullable="false" />
          <Property Name="ENTITY_ID" Type="nvarchar" MaxLength="255" />
          <Property Name="ID" Type="nvarchar" MaxLength="255" />
          <Property Name="RFC" Type="nvarchar" MaxLength="255" />
          <Property Name="CALLE" Type="nvarchar" MaxLength="255" />
          <Property Name="EXTERIOR" Type="nvarchar" MaxLength="255" />
          <Property Name="INTERIOR" Type="nvarchar" MaxLength="255" />
          <Property Name="COLONIA" Type="nvarchar" MaxLength="255" />
          <Property Name="CP" Type="nvarchar" MaxLength="255" />
          <Property Name="LOCALIDAD" Type="nvarchar" MaxLength="255" />
          <Property Name="REFERENCIA" Type="nvarchar" MaxLength="255" />
          <Property Name="PAIS" Type="nvarchar" MaxLength="255" />
          <Property Name="ESTADO" Type="nvarchar" MaxLength="255" />
          <Property Name="MUNICIPIO" Type="nvarchar" MaxLength="255" />
          <Property Name="SMTP" Type="nvarchar" MaxLength="255" />
          <Property Name="USUARIO" Type="nvarchar" MaxLength="255" />
          <Property Name="PASSWORD_EMAIL" Type="nvarchar" MaxLength="255" />
          <Property Name="PUERTO" Type="nvarchar" MaxLength="255" />
          <Property Name="SSL" Type="nvarchar" MaxLength="255" />
          <Property Name="CRENDENCIALES" Type="nvarchar" MaxLength="255" />
          <Property Name="ACTIVO" Type="nvarchar(max)" />
          <Property Name="REGIMEN_FISCAL" Type="nvarchar(max)" />
          <Property Name="TIPO" Type="nvarchar" MaxLength="255" />
          <Property Name="SERVIDOR" Type="nvarchar" MaxLength="255" />
          <Property Name="BD" Type="nvarchar" MaxLength="255" />
          <Property Name="USUARIO_BD" Type="nvarchar" MaxLength="255" />
          <Property Name="PASSWORD_BD" Type="nvarchar" MaxLength="255" />
          <Property Name="CUSTOMER_ID" Type="nvarchar(max)" />
          <Property Name="ENVIO_CORREO" Type="nvarchar(max)" />
          <Property Name="SITE_ID" Type="nvarchar(max)" />
          <Property Name="BD_AUXILIAR" Type="nvarchar(max)" />
          <Property Name="DESCUENTO_LINEA" Type="nvarchar(max)" />
          <Property Name="CUSTOMER_ESPECIFICACION_LINEA" Type="nvarchar(max)" />
          <Property Name="IMPRESION_AUTOMATICA" Type="nvarchar(max)" />
          <Property Name="IMPRESORA" Type="nvarchar(max)" />
          <Property Name="IMPRESION_AUTOMATICA_NDC" Type="nvarchar(max)" />
          <Property Name="ACTIVAR_COMPLEMENTO_CCE" Type="nvarchar(max)" />
          <Property Name="APROXIMACION" Type="nvarchar(max)" />
          <Property Name="VALORES_DECIMALES" Type="nvarchar(max)" />
          <Property Name="relacionLinea" Type="nvarchar" MaxLength="10" Nullable="false" />
        </EntityType>
        <EntityType Name="ndcFacturaLineaSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="INVOICE_ID" Type="nvarchar" MaxLength="50" />
          <Property Name="LINE_NO" Type="nvarchar" MaxLength="50" />
          <Property Name="invoice_id_relacionado" Type="nvarchar" MaxLength="50" />
          <Property Name="invoice_id_relacionado_linea" Type="nvarchar" MaxLength="50" />
          <Property Name="PART_ID" Type="nvarchar" MaxLength="50" />
          <Property Name="clasificacion" Type="nvarchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="ndcFacturaSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="tipoRelacion" Type="nvarchar" MaxLength="50" />
          <Property Name="INVOICE_ID" Type="nvarchar" MaxLength="50" />
          <Property Name="UUID" Type="nvarchar" MaxLength="100" />
          <Property Name="INVOICE_ID_relacionada" Type="nvarchar" MaxLength="100" />
        </EntityType>
        <EntityType Name="notificacionSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="mensaje" Type="nvarchar(max)" Nullable="false" />
          <Property Name="asunto" Type="nvarchar(max)" Nullable="false" />
          <Property Name="fechaCreacion" Type="datetime" />
          <Property Name="fechaEnvio" Type="datetime" />
          <Property Name="socioNegocio_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="socioNegocioSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="rfc" Type="nvarchar" MaxLength="13" Nullable="false" />
          <Property Name="razon" Type="nvarchar(max)" Nullable="false" />
          <Property Name="password" Type="nvarchar(max)" Nullable="false" />
          <Property Name="correoElectronico" Type="nvarchar(max)" Nullable="false" />
          <Property Name="estado" Type="nvarchar(max)" Nullable="false" />
        </EntityType>
        <EntityType Name="usuarioSocioNegocioSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="correoElectronico" Type="nvarchar(max)" Nullable="false" />
          <Property Name="password" Type="nvarchar(max)" Nullable="false" />
          <Property Name="estado" Type="nvarchar(max)" Nullable="false" />
          <Property Name="socioNegocio_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="usuariosSet">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="nombreCompleto" Type="nvarchar" MaxLength="250" Nullable="false" />
          <Property Name="usuario" Type="nvarchar" MaxLength="20" Nullable="false" />
          <Property Name="usuarioVISUAL" Type="nvarchar" MaxLength="20" Nullable="false" />
          <Property Name="password" Type="nvarchar" MaxLength="20" Nullable="false" />
          <Property Name="permisoDocumentosSolo" Type="bit" Nullable="false" />
          <Property Name="permisoCuentas" Type="bit" Nullable="false" />
          <Property Name="notificacionCorreo" Type="bit" Nullable="false" />
          <Property Name="notificacionREQ" Type="bit" Nullable="false" />
          <Property Name="notificacionOC" Type="bit" Nullable="false" />
          <Property Name="notificacionREC" Type="bit" Nullable="false" />
          <Property Name="notificacionCXP" Type="bit" Nullable="false" />
          <Property Name="notificacionPAG" Type="bit" Nullable="false" />
          <Property Name="notificacionBAN" Type="bit" Nullable="false" />
          <Property Name="notificacionGJ" Type="bit" Nullable="false" />
          <Property Name="permisoAcceso" Type="bit" Nullable="false" />
          <Property Name="permisoUsuarios" Type="bit" Nullable="false" />
          <Property Name="correoElectronico" Type="nvarchar" MaxLength="150" Nullable="false" />
          <Property Name="facturacionElectronica" Type="bit" Nullable="false" />
          <Property Name="contabilidadElectronica" Type="bit" Nullable="false" />
          <Property Name="cuentasCobrar" Type="bit" Nullable="false" />
          <Property Name="cuentasPagar" Type="bit" Nullable="false" />
          <Property Name="configuracion" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="VMX_FE">
          <Key>
            <PropertyRef Name="ROW_ID" />
          </Key>
          <Property Name="ROW_ID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="INVOICE_ID" Type="varchar" MaxLength="30" />
          <Property Name="SELLO" Type="varchar(max)" />
          <Property Name="PDF" Type="varchar" MaxLength="250" />
          <Property Name="XML" Type="varchar" MaxLength="250" />
          <Property Name="SERIE" Type="varchar" MaxLength="250" />
          <Property Name="FORMATO" Type="varchar" MaxLength="250" />
          <Property Name="PEDIMENTO" Type="varchar" MaxLength="50" />
          <Property Name="FECHA_PEDIMENTO" Type="datetime" />
          <Property Name="ADUANA" Type="varchar" MaxLength="50" />
          <Property Name="CREATE_DATE" Type="datetime" />
          <Property Name="UPDATE_DATE" Type="datetime" />
          <Property Name="FORMA_DE_PAGO" Type="nvarchar(max)" />
          <Property Name="METODO_DE_PAGO" Type="nvarchar(max)" />
          <Property Name="CTA_BANCO" Type="nvarchar(max)" />
          <Property Name="UUID" Type="varchar(max)" />
          <Property Name="FechaTimbrado" Type="varchar(max)" />
          <Property Name="noCertificadoSAT" Type="varchar(max)" />
          <Property Name="selloSAT" Type="varchar(max)" />
          <Property Name="Cadena_TFD" Type="varchar(max)" />
          <Property Name="QR_Code" Type="varchar(max)" />
          <Property Name="IMAGEN_QR_Code" Type="varbinary(max)" />
          <Property Name="CADENA" Type="varchar(max)" />
          <Property Name="ESTADO" Type="varchar(max)" />
          <Property Name="CANCELADO" Type="varchar(max)" />
          <Property Name="noCertificado" Type="varchar(max)" />
          <Property Name="ADDR_NO" Type="varchar(max)" />
          <Property Name="PEDIMENTOS" Type="varchar(max)" />
          <Property Name="PDF_ESTADO" Type="varchar(max)" />
        </EntityType>
        <Association Name="FK_depositodepositoLinea">
          <End Role="depositoSet" Type="Self.depositoSet" Multiplicity="1" />
          <End Role="depositoLineaSet" Type="Self.depositoLineaSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="depositoSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="depositoLineaSet">
              <PropertyRef Name="deposito_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_socioNegocioconfiguracion">
          <End Role="socioNegocioSet" Type="Self.socioNegocioSet" Multiplicity="1" />
          <End Role="configuracionNotificacionSet" Type="Self.configuracionNotificacionSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="socioNegocioSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="configuracionNotificacionSet">
              <PropertyRef Name="socioNegocio_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_socioNegocioconfiguracionBanco">
          <End Role="socioNegocioSet" Type="Self.socioNegocioSet" Multiplicity="1" />
          <End Role="configuracionBancoSet" Type="Self.configuracionBancoSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="socioNegocioSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="configuracionBancoSet">
              <PropertyRef Name="socioNegocio_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_socioNegocioconfiguracionConexion">
          <End Role="socioNegocioSet" Type="Self.socioNegocioSet" Multiplicity="1" />
          <End Role="configuracionConexionSet" Type="Self.configuracionConexionSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="socioNegocioSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="configuracionConexionSet">
              <PropertyRef Name="socioNegocio_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_socioNegocionotificacion">
          <End Role="socioNegocioSet" Type="Self.socioNegocioSet" Multiplicity="1" />
          <End Role="notificacionSet" Type="Self.notificacionSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="socioNegocioSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="notificacionSet">
              <PropertyRef Name="socioNegocio_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_socioNegociousuario">
          <End Role="socioNegocioSet" Type="Self.socioNegocioSet" Multiplicity="1" />
          <End Role="usuarioSocioNegocioSet" Type="Self.usuarioSocioNegocioSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="socioNegocioSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="usuarioSocioNegocioSet">
              <PropertyRef Name="socioNegocio_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_usuariodispositivo">
          <End Role="usuarioSocioNegocioSet" Type="Self.usuarioSocioNegocioSet" Multiplicity="1" />
          <End Role="dispositivoSet" Type="Self.dispositivoSet" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="usuarioSocioNegocioSet">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="dispositivoSet">
              <PropertyRef Name="usuario_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="ModeloDocumentosFXStoreContainer">
          <EntitySet Name="CFDI_USUARIO" EntityType="Self.CFDI_USUARIO" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionBancoSet" EntityType="Self.configuracionBancoSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionCCESet" EntityType="Self.configuracionCCESet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionConexionSet" EntityType="Self.configuracionConexionSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionIncumplidosSet" EntityType="Self.configuracionIncumplidosSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionNotificacionSet" EntityType="Self.configuracionNotificacionSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionProductoSet" EntityType="Self.configuracionProductoSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="configuracionUMSet" EntityType="Self.configuracionUMSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="cxpConciliacionSet" EntityType="Self.cxpConciliacionSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="depositoLineaSet" EntityType="Self.depositoLineaSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="depositoSet" EntityType="Self.depositoSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="dispositivoSet" EntityType="Self.dispositivoSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="documentoSet" EntityType="Self.documentoSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ndcFacturaLineaSet" EntityType="Self.ndcFacturaLineaSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ndcFacturaSet" EntityType="Self.ndcFacturaSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="notificacionSet" EntityType="Self.notificacionSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="socioNegocioSet" EntityType="Self.socioNegocioSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="usuarioSocioNegocioSet" EntityType="Self.usuarioSocioNegocioSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="usuariosSet" EntityType="Self.usuariosSet" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="VMX_FE" EntityType="Self.VMX_FE" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="EMPRESA" EntityType="Self.EMPRESA" store:Type="Tables" store:Schema="dbo">
            <DefiningQuery>SELECT 
[EMPRESA].[ROW_ID] AS [ROW_ID], 
[EMPRESA].[ENTITY_ID] AS [ENTITY_ID], 
[EMPRESA].[ID] AS [ID], 
[EMPRESA].[RFC] AS [RFC], 
[EMPRESA].[CALLE] AS [CALLE], 
[EMPRESA].[EXTERIOR] AS [EXTERIOR], 
[EMPRESA].[INTERIOR] AS [INTERIOR], 
[EMPRESA].[COLONIA] AS [COLONIA], 
[EMPRESA].[CP] AS [CP], 
[EMPRESA].[LOCALIDAD] AS [LOCALIDAD], 
[EMPRESA].[REFERENCIA] AS [REFERENCIA], 
[EMPRESA].[PAIS] AS [PAIS], 
[EMPRESA].[ESTADO] AS [ESTADO], 
[EMPRESA].[MUNICIPIO] AS [MUNICIPIO], 
[EMPRESA].[SMTP] AS [SMTP], 
[EMPRESA].[USUARIO] AS [USUARIO], 
[EMPRESA].[PASSWORD_EMAIL] AS [PASSWORD_EMAIL], 
[EMPRESA].[PUERTO] AS [PUERTO], 
[EMPRESA].[SSL] AS [SSL], 
[EMPRESA].[CRENDENCIALES] AS [CRENDENCIALES], 
[EMPRESA].[ACTIVO] AS [ACTIVO], 
[EMPRESA].[REGIMEN_FISCAL] AS [REGIMEN_FISCAL], 
[EMPRESA].[TIPO] AS [TIPO], 
[EMPRESA].[SERVIDOR] AS [SERVIDOR], 
[EMPRESA].[BD] AS [BD], 
[EMPRESA].[USUARIO_BD] AS [USUARIO_BD], 
[EMPRESA].[PASSWORD_BD] AS [PASSWORD_BD], 
[EMPRESA].[CUSTOMER_ID] AS [CUSTOMER_ID], 
[EMPRESA].[ENVIO_CORREO] AS [ENVIO_CORREO], 
[EMPRESA].[SITE_ID] AS [SITE_ID], 
[EMPRESA].[BD_AUXILIAR] AS [BD_AUXILIAR], 
[EMPRESA].[DESCUENTO_LINEA] AS [DESCUENTO_LINEA], 
[EMPRESA].[CUSTOMER_ESPECIFICACION_LINEA] AS [CUSTOMER_ESPECIFICACION_LINEA], 
[EMPRESA].[IMPRESION_AUTOMATICA] AS [IMPRESION_AUTOMATICA], 
[EMPRESA].[IMPRESORA] AS [IMPRESORA], 
[EMPRESA].[IMPRESION_AUTOMATICA_NDC] AS [IMPRESION_AUTOMATICA_NDC], 
[EMPRESA].[ACTIVAR_COMPLEMENTO_CCE] AS [ACTIVAR_COMPLEMENTO_CCE], 
[EMPRESA].[APROXIMACION] AS [APROXIMACION], 
[EMPRESA].[VALORES_DECIMALES] AS [VALORES_DECIMALES], 
[EMPRESA].[relacionLinea] AS [relacionLinea]
FROM [dbo].[EMPRESA] AS [EMPRESA]</DefiningQuery>
          </EntitySet>
          <AssociationSet Name="FK_depositodepositoLinea" Association="Self.FK_depositodepositoLinea">
            <End Role="depositoSet" EntitySet="depositoSet" />
            <End Role="depositoLineaSet" EntitySet="depositoLineaSet" />
          </AssociationSet>
          <AssociationSet Name="FK_socioNegocioconfiguracion" Association="Self.FK_socioNegocioconfiguracion">
            <End Role="socioNegocioSet" EntitySet="socioNegocioSet" />
            <End Role="configuracionNotificacionSet" EntitySet="configuracionNotificacionSet" />
          </AssociationSet>
          <AssociationSet Name="FK_socioNegocioconfiguracionBanco" Association="Self.FK_socioNegocioconfiguracionBanco">
            <End Role="socioNegocioSet" EntitySet="socioNegocioSet" />
            <End Role="configuracionBancoSet" EntitySet="configuracionBancoSet" />
          </AssociationSet>
          <AssociationSet Name="FK_socioNegocioconfiguracionConexion" Association="Self.FK_socioNegocioconfiguracionConexion">
            <End Role="socioNegocioSet" EntitySet="socioNegocioSet" />
            <End Role="configuracionConexionSet" EntitySet="configuracionConexionSet" />
          </AssociationSet>
          <AssociationSet Name="FK_socioNegocionotificacion" Association="Self.FK_socioNegocionotificacion">
            <End Role="socioNegocioSet" EntitySet="socioNegocioSet" />
            <End Role="notificacionSet" EntitySet="notificacionSet" />
          </AssociationSet>
          <AssociationSet Name="FK_socioNegociousuario" Association="Self.FK_socioNegociousuario">
            <End Role="socioNegocioSet" EntitySet="socioNegocioSet" />
            <End Role="usuarioSocioNegocioSet" EntitySet="usuarioSocioNegocioSet" />
          </AssociationSet>
          <AssociationSet Name="FK_usuariodispositivo" Association="Self.FK_usuariodispositivo">
            <End Role="usuarioSocioNegocioSet" EntitySet="usuarioSocioNegocioSet" />
            <End Role="dispositivoSet" EntitySet="dispositivoSet" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema xmlns="http://schemas.microsoft.com/ado/2009/11/edm" xmlns:cg="http://schemas.microsoft.com/ado/2006/04/codegeneration" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" Namespace="ModeloDocumentosFX" Alias="Self" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" annotation:UseStrongSpatialTypes="false">
        <EntityContainer Name="ModeloDocumentosFXContainer" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="socioNegocioSet" EntityType="ModeloDocumentosFX.socioNegocio" />
          <EntitySet Name="documentoSet" EntityType="ModeloDocumentosFX.documento" />
          <EntitySet Name="notificacionSet" EntityType="ModeloDocumentosFX.notificacion" />
          <EntitySet Name="configuracionNotificacionSet" EntityType="ModeloDocumentosFX.configuracionNotificacion" />
          <AssociationSet Name="socioNegocionotificacion" Association="ModeloDocumentosFX.socioNegocionotificacion">
            <End Role="socioNegocio" EntitySet="socioNegocioSet" />
            <End Role="notificacion" EntitySet="notificacionSet" />
          </AssociationSet>
          <AssociationSet Name="socioNegocioconfiguracion" Association="ModeloDocumentosFX.socioNegocioconfiguracion">
            <End Role="socioNegocio" EntitySet="socioNegocioSet" />
            <End Role="configuracion" EntitySet="configuracionNotificacionSet" />
          </AssociationSet>
          <EntitySet Name="usuarioSocioNegocioSet" EntityType="ModeloDocumentosFX.usuarioSocioNegocio" />
          <AssociationSet Name="socioNegociousuario" Association="ModeloDocumentosFX.socioNegociousuario">
            <End Role="socioNegocio" EntitySet="socioNegocioSet" />
            <End Role="usuario" EntitySet="usuarioSocioNegocioSet" />
          </AssociationSet>
          <EntitySet Name="dispositivoSet" EntityType="ModeloDocumentosFX.dispositivo" />
          <AssociationSet Name="usuariodispositivo" Association="ModeloDocumentosFX.usuariodispositivo">
            <End Role="usuario" EntitySet="usuarioSocioNegocioSet" />
            <End Role="dispositivo" EntitySet="dispositivoSet" />
          </AssociationSet>
          <EntitySet Name="usuariosSet" EntityType="ModeloDocumentosFX.usuarios" />
          <EntitySet Name="configuracionConexionSet" EntityType="ModeloDocumentosFX.configuracionConexion" />
          <AssociationSet Name="socioNegocioconfiguracionConexion" Association="ModeloDocumentosFX.socioNegocioconfiguracionConexion">
            <End Role="socioNegocio" EntitySet="socioNegocioSet" />
            <End Role="configuracionConexion" EntitySet="configuracionConexionSet" />
          </AssociationSet>
          <EntitySet Name="configuracionProductoSet" EntityType="ModeloDocumentosFX.configuracionProducto" />
          <EntitySet Name="configuracionIncumplidosSet" EntityType="ModeloDocumentosFX.configuracionIncumplidos" />
          <EntitySet Name="configuracionBancoSet" EntityType="ModeloDocumentosFX.configuracionBanco" />
          <AssociationSet Name="socioNegocioconfiguracionBanco" Association="ModeloDocumentosFX.socioNegocioconfiguracionBanco">
            <End Role="socioNegocio" EntitySet="socioNegocioSet" />
            <End Role="configuracionBanco" EntitySet="configuracionBancoSet" />
          </AssociationSet>
          <EntitySet Name="VMX_FE" EntityType="ModeloDocumentosFX.VMX_FE" />
          <EntitySet Name="depositoSet" EntityType="ModeloDocumentosFX.deposito" />
          <EntitySet Name="depositoLineaSet" EntityType="ModeloDocumentosFX.depositoLinea" />
          <AssociationSet Name="depositodepositoLinea" Association="ModeloDocumentosFX.depositodepositoLinea">
            <End Role="deposito" EntitySet="depositoSet" />
            <End Role="depositoLinea" EntitySet="depositoLineaSet" />
          </AssociationSet>
          <EntitySet Name="configuracionCCESet" EntityType="ModeloDocumentosFX.configuracionCCE" />
          <EntitySet Name="empresaLocalSet" EntityType="ModeloDocumentosFX.empresaLocal" />
          <EntitySet Name="configuracionUMSet" EntityType="ModeloDocumentosFX.configuracionUM" />
          <EntitySet Name="configuracionFraccionArancelariaSet" EntityType="ModeloDocumentosFX.configuracionFraccionArancelaria" />
          <EntitySet Name="ndcFacturaSet" EntityType="ModeloDocumentosFX.ndcFactura" />
          <EntitySet Name="CFDI_USUARIO" EntityType="ModeloDocumentosFX.CFDI_USUARIO" />
          <EntitySet Name="EMPRESA" EntityType="ModeloDocumentosFX.EMPRESA" />
          <EntitySet Name="ndcFacturaLineaSet" EntityType="ModeloDocumentosFX.ndcFacturaLinea" />
          <EntitySet Name="cxpConciliacionSet" EntityType="ModeloDocumentosFX.cxpConciliacion" />
          <EntitySet Name="configuracionUMproductoSet" EntityType="ModeloDocumentosFX.configuracionUMproducto" />
        </EntityContainer>
        <EntityType Name="socioNegocio">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="rfc" Type="String" Nullable="false" MaxLength="13" Unicode="true" FixedLength="false" />
          <Property Name="razon" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="password" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="correoElectronico" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="estado" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="notificacion" Relationship="ModeloDocumentosFX.socioNegocionotificacion" FromRole="socioNegocio" ToRole="notificacion" />
          <NavigationProperty Name="configuracion" Relationship="ModeloDocumentosFX.socioNegocioconfiguracion" FromRole="socioNegocio" ToRole="configuracion" />
          <NavigationProperty Name="usuario" Relationship="ModeloDocumentosFX.socioNegociousuario" FromRole="socioNegocio" ToRole="usuario" />
          <NavigationProperty Name="configuracionConexion" Relationship="ModeloDocumentosFX.socioNegocioconfiguracionConexion" FromRole="socioNegocio" ToRole="configuracionConexion" />
          <NavigationProperty Name="configuracionBanco" Relationship="ModeloDocumentosFX.socioNegocioconfiguracionBanco" FromRole="socioNegocio" ToRole="configuracionBanco" />
        </EntityType>
        <EntityType Name="documento">
          <Key>
            <PropertyRef Name="Id" />
            <PropertyRef Name="rowId" />
            <PropertyRef Name="Id1" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="uuid" Type="String" Nullable="false" MaxLength="60" />
          <Property Name="tipoComprobante" Type="String" Nullable="false" MaxLength="60" />
          <Property Name="fechaCreacion" Type="String" Nullable="false" />
          <Property Name="uuidPadre" Type="String" Nullable="false" MaxLength="60" />
          <Property Name="voucher" Type="String" Nullable="false" MaxLength="60" />
          <Property Name="fechaFactura" Type="DateTime" Nullable="false" />
          <Property Name="fechaAutorizacion" Type="DateTime" Nullable="false" />
          <Property Name="fechaEstimada" Type="DateTime" Nullable="false" />
          <Property Name="fechaIngreso" Type="DateTime" Nullable="false" />
          <Property Name="oc" Type="String" Nullable="false" MaxLength="40" />
          <Property Name="pedido" Type="String" Nullable="false" MaxLength="40" />
          <Property Name="estado" Type="String" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="total" Type="Decimal" Nullable="false" Precision="16" Scale="4" />
          <Property Name="moneda" Type="String" Nullable="false" MaxLength="15" />
          <Property Name="factura" Type="String" Nullable="false" MaxLength="100" />
          <Property Name="vendorId" Type="String" Nullable="false" MaxLength="30" FixedLength="false" Unicode="true" />
          <Property Name="rfc" Type="String" Nullable="false" MaxLength="30" FixedLength="false" Unicode="true" />
          <Property Name="proceso" Type="Byte" />
          <Property Name="rowId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="id" Type="String" Nullable="false" MaxLength="30" FixedLength="false" Unicode="true" />
          <Property Name="Id1" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="uuid1" Type="String" Nullable="false" MaxLength="60" FixedLength="false" Unicode="true" />
          <Property Name="tipoComprobante1" Type="String" Nullable="false" MaxLength="60" FixedLength="false" Unicode="true" />
          <Property Name="fechaCreacion1" Type="String" Nullable="false" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="uuidPadre1" Type="String" Nullable="false" MaxLength="60" FixedLength="false" Unicode="true" />
          <Property Name="voucher1" Type="String" Nullable="false" MaxLength="60" FixedLength="false" Unicode="true" />
          <Property Name="fechaFactura1" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="fechaAutorizacion1" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="fechaEstimada1" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="fechaIngreso1" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="oc1" Type="String" Nullable="false" MaxLength="40" FixedLength="false" Unicode="true" />
          <Property Name="pedido1" Type="String" Nullable="false" MaxLength="40" FixedLength="false" Unicode="true" />
          <Property Name="total1" Type="Decimal" Nullable="false" Precision="16" Scale="4" />
          <Property Name="moneda1" Type="String" Nullable="false" MaxLength="15" FixedLength="false" Unicode="true" />
          <Property Name="factura1" Type="String" Nullable="false" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="rfcEmisor_Id" Type="Int32" Nullable="false" />
          <Property Name="rfcReceptor_Id" Type="Int32" Nullable="false" />
          
      </EntityType>
        <EntityType Name="notificacion">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <NavigationProperty Name="socioNegocio" Relationship="ModeloDocumentosFX.socioNegocionotificacion" FromRole="notificacion" ToRole="socioNegocio" />
          <Property Name="mensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="asunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="fechaCreacion" Type="DateTime" Nullable="true" Precision="3" />
          <Property Name="fechaEnvio" Type="DateTime" Nullable="true" Precision="3" />
        </EntityType>
        <EntityType Name="configuracionNotificacion">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="bienvenidaMensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="bienvenidaAsunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="aceptacionAsunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="aceptacionMensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="socioNegocio" Relationship="ModeloDocumentosFX.socioNegocioconfiguracion" FromRole="configuracion" ToRole="socioNegocio" />
          <Property Name="rechazoMensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="rechazoAsunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="validacionMensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="validacionAsunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="autorizacionAsunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="autorizacionMensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="recuperacionMensaje" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="recuperacionAsunto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
        </EntityType>
        <Association Name="socioNegocionotificacion">
          <End Type="ModeloDocumentosFX.socioNegocio" Role="socioNegocio" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.notificacion" Role="notificacion" Multiplicity="*" />
        </Association>
        <Association Name="socioNegocioconfiguracion">
          <End Type="ModeloDocumentosFX.socioNegocio" Role="socioNegocio" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.configuracionNotificacion" Role="configuracion" Multiplicity="*" />
        </Association>
        <EntityType Name="usuarioSocioNegocio">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="correoElectronico" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="socioNegocio" Relationship="ModeloDocumentosFX.socioNegociousuario" FromRole="usuario" ToRole="socioNegocio" />
          <Property Name="password" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="estado" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="dispositivo" Relationship="ModeloDocumentosFX.usuariodispositivo" FromRole="usuario" ToRole="dispositivo" />
        </EntityType>
        <Association Name="socioNegociousuario">
          <End Type="ModeloDocumentosFX.socioNegocio" Role="socioNegocio" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.usuarioSocioNegocio" Role="usuario" Multiplicity="*" />
        </Association>
        <EntityType Name="dispositivo">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="deviceToken" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="os" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="usuario" Relationship="ModeloDocumentosFX.usuariodispositivo" FromRole="dispositivo" ToRole="usuario" />
        </EntityType>
        <Association Name="usuariodispositivo">
          <End Type="ModeloDocumentosFX.usuarioSocioNegocio" Role="usuario" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.dispositivo" Role="dispositivo" Multiplicity="*" />
        </Association>
        <EntityType Name="usuarios">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="nombreCompleto" Type="String" Nullable="false" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="usuario" Type="String" Nullable="false" MaxLength="20" FixedLength="false" Unicode="true" />
          <Property Name="usuarioVISUAL" Type="String" Nullable="false" MaxLength="20" FixedLength="false" Unicode="true" />
          <Property Name="password" Type="String" Nullable="false" MaxLength="20" FixedLength="false" Unicode="true" />
          <Property Name="permisoDocumentosSolo" Type="Boolean" Nullable="false" />
          <Property Name="permisoCuentas" Type="Boolean" Nullable="false" />
          <Property Name="notificacionCorreo" Type="Boolean" Nullable="false" />
          <Property Name="notificacionREQ" Type="Boolean" Nullable="false" />
          <Property Name="notificacionOC" Type="Boolean" Nullable="false" />
          <Property Name="notificacionREC" Type="Boolean" Nullable="false" />
          <Property Name="notificacionCXP" Type="Boolean" Nullable="false" />
          <Property Name="notificacionPAG" Type="Boolean" Nullable="false" />
          <Property Name="notificacionBAN" Type="Boolean" Nullable="false" />
          <Property Name="notificacionGJ" Type="Boolean" Nullable="false" />
          <Property Name="permisoAcceso" Type="Boolean" Nullable="false" />
          <Property Name="permisoUsuarios" Type="Boolean" Nullable="false" />
          <Property Name="correoElectronico" Type="String" Nullable="false" MaxLength="150" Unicode="true" FixedLength="false" />
          <Property Name="facturacionElectronica" Type="Boolean" Nullable="false" />
          <Property Name="contabilidadElectronica" Type="Boolean" Nullable="false" />
          <Property Name="cuentasCobrar" Type="Boolean" Nullable="false" />
          <Property Name="cuentasPagar" Type="Boolean" Nullable="false" />
          <Property Name="configuracion" Type="Boolean" Nullable="false" />
        </EntityType>
        <EntityType Name="configuracionConexion">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="tipo" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="servidor" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="baseDatos" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="usuario" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="password" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="visualSite" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="visualEntity" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="visualBDAuxiliar" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="socioNegocio" Relationship="ModeloDocumentosFX.socioNegocioconfiguracionConexion" FromRole="configuracionConexion" ToRole="socioNegocio" />
          <Property Name="visualSite1" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="visualEntity1" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="visualBDAuxiliar1" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          </EntityType>
        <Association Name="socioNegocioconfiguracionConexion">
          <End Type="ModeloDocumentosFX.socioNegocio" Role="socioNegocio" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.configuracionConexion" Role="configuracionConexion" Multiplicity="*" />
        </Association>
        <EntityType Name="configuracionProducto">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaCreacion" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="producto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="clasificacionSAT" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="unidadSAT" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="configuracionIncumplidos">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="rfc" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="fechaCreacion" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="nombre" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
        </EntityType>
        <EntityType Name="configuracionBanco">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="banco" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="CLABE" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="cuenta" Type="String" Nullable="false" MaxLength="100" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="socioNegocio" Relationship="ModeloDocumentosFX.socioNegocioconfiguracionBanco" FromRole="configuracionBanco" ToRole="socioNegocio" />
        </EntityType>
        <Association Name="socioNegocioconfiguracionBanco">
          <End Type="ModeloDocumentosFX.socioNegocio" Role="socioNegocio" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.configuracionBanco" Role="configuracionBanco" Multiplicity="*" />
        </Association>
        <EntityType Name="VMX_FE">
          <Key>
            <PropertyRef Name="ROW_ID" />
          </Key>
          <Property Name="ROW_ID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="INVOICE_ID" Type="String" MaxLength="30" FixedLength="false" Unicode="false" />
          <Property Name="SELLO" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="PDF" Type="String" MaxLength="250" FixedLength="false" Unicode="false" />
          <Property Name="XML" Type="String" MaxLength="250" FixedLength="false" Unicode="false" />
          <Property Name="SERIE" Type="String" MaxLength="250" FixedLength="false" Unicode="false" />
          <Property Name="FORMATO" Type="String" MaxLength="250" FixedLength="false" Unicode="false" />
          <Property Name="PEDIMENTO" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="FECHA_PEDIMENTO" Type="DateTime" Precision="3" />
          <Property Name="ADUANA" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="CREATE_DATE" Type="DateTime" Precision="3" />
          <Property Name="UPDATE_DATE" Type="DateTime" Precision="3" />
          <Property Name="FORMA_DE_PAGO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="METODO_DE_PAGO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="CTA_BANCO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="UUID" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="FechaTimbrado" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="noCertificadoSAT" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="selloSAT" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="Cadena_TFD" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="QR_Code" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="IMAGEN_QR_Code" Type="Binary" MaxLength="Max" FixedLength="false" />
          <Property Name="CADENA" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="ESTADO" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="CANCELADO" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="noCertificado" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="ADDR_NO" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="PEDIMENTOS" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="PDF_ESTADO" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="deposito">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaCreacion" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="fechaDeposito" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="banco" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="archivo" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="estado" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="usuarioCreador" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="VISUALid" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="depositoLinea" Relationship="ModeloDocumentosFX.depositodepositoLinea" FromRole="deposito" ToRole="depositoLinea" />
        </EntityType>
        <EntityType Name="depositoLinea">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="factura" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="monto" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <NavigationProperty Name="deposito" Relationship="ModeloDocumentosFX.depositodepositoLinea" FromRole="depositoLinea" ToRole="deposito" />
          </EntityType>
        <Association Name="depositodepositoLinea">
          <End Type="ModeloDocumentosFX.deposito" Role="deposito" Multiplicity="1" />
          <End Type="ModeloDocumentosFX.depositoLinea" Role="depositoLinea" Multiplicity="*" />
        </Association>
        <EntityType Name="configuracionCCE">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="emtityId" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="excepcionCliente" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="excepcionProduct" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="excepcionArticulo" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="UDFVMPRTMNT" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
        </EntityType>
        <EntityType Name="empresaLocal">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="rfc" Type="String" Nullable="false" MaxLength="13" Unicode="true" FixedLength="false" />
          <Property Name="razon" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="estado" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="regimenFiscal" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
        </EntityType>
        <EntityType Name="configuracionUM">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="UnidadMedida" Type="String" Nullable="false" MaxLength="50" Unicode="true" FixedLength="false" />
          <Property Name="SAT" Type="String" Nullable="true" MaxLength="50" Unicode="true" FixedLength="false" />
          <Property Name="CE" Type="String" Nullable="true" MaxLength="50" Unicode="true" FixedLength="false" />
          <Property Name="FactorCE" Type="Decimal" Nullable="false" Precision="16" Scale="8" DefaultValue="1" />
          </EntityType>
        <EntityType Name="configuracionFraccionArancelaria">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fraccionArancelaria" Type="String" Nullable="false" MaxLength="50" />
          <Property Name="UnidadMedad" Type="String" Nullable="true" MaxLength="50" />
        </EntityType>
        <EntityType Name="ndcFactura">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="tipoRelacion" Type="String" Nullable="true" MaxLength="50" Unicode="true" FixedLength="false" />
          <Property Name="INVOICE_ID" Type="String" Nullable="true" MaxLength="50" Unicode="true" FixedLength="false" />
          <Property Name="UUID" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="INVOICE_ID_relacionada" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
        </EntityType>
        <EntityType Name="CFDI_USUARIO">
          <Key>
            <PropertyRef Name="ROW_ID" />
          </Key>
          <Property Name="ROW_ID" Type="Int32" Nullable="false" />
          <Property Name="USUARIO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="PASSWORD" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="TIPO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="ROW_ID_EMPRESA" Type="Double" />
          <Property Name="USUARIO_PRUEBA" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" Nullable="true" />
          <Property Name="PASSWORD_PRUEBA" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" Nullable="true" />
        </EntityType>
        <EntityType Name="EMPRESA">
          <Key>
            <PropertyRef Name="ROW_ID" />
          </Key>
          <Property Name="ROW_ID" Type="Int32" Nullable="false" />
          <Property Name="ENTITY_ID" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="ID" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="RFC" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="CALLE" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="EXTERIOR" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="INTERIOR" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="COLONIA" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="CP" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="LOCALIDAD" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="REFERENCIA" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="PAIS" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="ESTADO" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="MUNICIPIO" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="SMTP" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="USUARIO" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="PASSWORD_EMAIL" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="PUERTO" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="SSL" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="CRENDENCIALES" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="ACTIVO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="REGIMEN_FISCAL" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="TIPO" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="SERVIDOR" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="BD" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="USUARIO_BD" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="PASSWORD_BD" Type="String" MaxLength="255" FixedLength="false" Unicode="true" />
          <Property Name="CUSTOMER_ID" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="ENVIO_CORREO" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="SITE_ID" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="BD_AUXILIAR" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="DESCUENTO_LINEA" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="CUSTOMER_ESPECIFICACION_LINEA" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="IMPRESION_AUTOMATICA" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="IMPRESORA" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="IMPRESION_AUTOMATICA_NDC" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="ACTIVAR_COMPLEMENTO_CCE" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="APROXIMACION" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="VALORES_DECIMALES" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="relacionLinea" Type="String" DefaultValue="False" MaxLength="10" Unicode="true" FixedLength="false" Nullable="false" />
          <Property Name="REDONDEO" Type="Int32" />
        </EntityType>
        <EntityType Name="ndcFacturaLinea">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="INVOICE_ID" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="LINE_NO" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="invoice_id_relacionado" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="invoice_id_relacionado_linea" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="PART_ID" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="clasificacion" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="cxpConciliacion">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="uuid" Type="String" Nullable="false" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="fechaCreacion" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="oc" Type="String" Nullable="true" MaxLength="50" />
          <Property Name="usuario" Type="String" Nullable="true" MaxLength="Max" Unicode="true" FixedLength="false" />
          <Property Name="voucherId" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="rfcEmisor" Type="String" Nullable="true" MaxLength="100" Unicode="true" FixedLength="false" />
          <Property Name="tipoDocumento" Type="String" Nullable="true" />
          <Property Name="oc1" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="tipoDocumento1" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="configuracionUMproducto">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="producto" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="UnidadMedida" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="SAT" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="CE" Type="String" Nullable="true" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="FactorCE" Type="Decimal" Nullable="false" DefaultValue="1" Precision="16" Scale="8" />
        </EntityType>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
    <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
  <EntityContainerMapping StorageEntityContainer="ModeloDocumentosFXStoreContainer" CdmEntityContainer="ModeloDocumentosFXContainer">
    <EntitySetMapping Name="socioNegocioSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.socioNegocio)">
        <MappingFragment StoreEntitySet="socioNegocioSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="rfc" ColumnName="rfc" />
          <ScalarProperty Name="razon" ColumnName="razon" />
          <ScalarProperty Name="password" ColumnName="password" />
          <ScalarProperty Name="correoElectronico" ColumnName="correoElectronico" />
          <ScalarProperty Name="estado" ColumnName="estado" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="documentoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.documento)">
        <MappingFragment StoreEntitySet="documentoSet">
                <ScalarProperty Name="rfcReceptor_Id" ColumnName="rfcReceptor_Id" />
                <ScalarProperty Name="rfcEmisor_Id" ColumnName="rfcEmisor_Id" />
                <ScalarProperty Name="factura1" ColumnName="factura" />
                <ScalarProperty Name="moneda1" ColumnName="moneda" />
                <ScalarProperty Name="total1" ColumnName="total" />
                <ScalarProperty Name="pedido1" ColumnName="pedido" />
                <ScalarProperty Name="oc1" ColumnName="oc" />
                <ScalarProperty Name="fechaIngreso1" ColumnName="fechaIngreso" />
                <ScalarProperty Name="fechaEstimada1" ColumnName="fechaEstimada" />
                <ScalarProperty Name="fechaAutorizacion1" ColumnName="fechaAutorizacion" />
                <ScalarProperty Name="fechaFactura1" ColumnName="fechaFactura" />
                <ScalarProperty Name="voucher1" ColumnName="voucher" />
                <ScalarProperty Name="uuidPadre1" ColumnName="uuidPadre" />
                <ScalarProperty Name="fechaCreacion1" ColumnName="fechaCreacion" />
                <ScalarProperty Name="tipoComprobante1" ColumnName="tipoComprobante" />
                <ScalarProperty Name="uuid1" ColumnName="uuid" />
                <ScalarProperty Name="Id1" ColumnName="Id" />
                <ScalarProperty Name="estado" ColumnName="estado" />
          <ScalarProperty Name="vendorId" ColumnName="vendorId" />
          <ScalarProperty Name="rfc" ColumnName="rfc" />
          <ScalarProperty Name="proceso" ColumnName="proceso" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="notificacionSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.notificacion)">
        <MappingFragment StoreEntitySet="notificacionSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="mensaje" ColumnName="mensaje" />
          <ScalarProperty Name="asunto" ColumnName="asunto" />
          <ScalarProperty Name="fechaCreacion" ColumnName="fechaCreacion" />
          <ScalarProperty Name="fechaEnvio" ColumnName="fechaEnvio" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionNotificacionSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionNotificacion)">
        <MappingFragment StoreEntitySet="configuracionNotificacionSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="bienvenidaMensaje" ColumnName="bienvenidaMensaje" />
          <ScalarProperty Name="bienvenidaAsunto" ColumnName="bienvenidaAsunto" />
          <ScalarProperty Name="aceptacionAsunto" ColumnName="aceptacionAsunto" />
          <ScalarProperty Name="aceptacionMensaje" ColumnName="aceptacionMensaje" />
          <ScalarProperty Name="rechazoMensaje" ColumnName="rechazoMensaje" />
          <ScalarProperty Name="rechazoAsunto" ColumnName="rechazoAsunto" />
          <ScalarProperty Name="validacionMensaje" ColumnName="validacionMensaje" />
          <ScalarProperty Name="validacionAsunto" ColumnName="validacionAsunto" />
          <ScalarProperty Name="autorizacionAsunto" ColumnName="autorizacionAsunto" />
          <ScalarProperty Name="autorizacionMensaje" ColumnName="autorizacionMensaje" />
          <ScalarProperty Name="recuperacionMensaje" ColumnName="recuperacionMensaje" />
          <ScalarProperty Name="recuperacionAsunto" ColumnName="recuperacionAsunto" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="usuarioSocioNegocioSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.usuarioSocioNegocio)">
        <MappingFragment StoreEntitySet="usuarioSocioNegocioSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="correoElectronico" ColumnName="correoElectronico" />
          <ScalarProperty Name="password" ColumnName="password" />
          <ScalarProperty Name="estado" ColumnName="estado" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="dispositivoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.dispositivo)">
        <MappingFragment StoreEntitySet="dispositivoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="deviceToken" ColumnName="deviceToken" />
          <ScalarProperty Name="os" ColumnName="os" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="usuariosSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.usuarios)">
        <MappingFragment StoreEntitySet="usuariosSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="nombreCompleto" ColumnName="nombreCompleto" />
          <ScalarProperty Name="usuario" ColumnName="usuario" />
          <ScalarProperty Name="usuarioVISUAL" ColumnName="usuarioVISUAL" />
          <ScalarProperty Name="password" ColumnName="password" />
          <ScalarProperty Name="permisoDocumentosSolo" ColumnName="permisoDocumentosSolo" />
          <ScalarProperty Name="permisoCuentas" ColumnName="permisoCuentas" />
          <ScalarProperty Name="notificacionCorreo" ColumnName="notificacionCorreo" />
          <ScalarProperty Name="notificacionREQ" ColumnName="notificacionREQ" />
          <ScalarProperty Name="notificacionOC" ColumnName="notificacionOC" />
          <ScalarProperty Name="notificacionREC" ColumnName="notificacionREC" />
          <ScalarProperty Name="notificacionCXP" ColumnName="notificacionCXP" />
          <ScalarProperty Name="notificacionPAG" ColumnName="notificacionPAG" />
          <ScalarProperty Name="notificacionBAN" ColumnName="notificacionBAN" />
          <ScalarProperty Name="notificacionGJ" ColumnName="notificacionGJ" />
          <ScalarProperty Name="permisoAcceso" ColumnName="permisoAcceso" />
          <ScalarProperty Name="permisoUsuarios" ColumnName="permisoUsuarios" />
          <ScalarProperty Name="correoElectronico" ColumnName="correoElectronico" />
          <ScalarProperty Name="facturacionElectronica" ColumnName="facturacionElectronica" />
          <ScalarProperty Name="contabilidadElectronica" ColumnName="contabilidadElectronica" />
          <ScalarProperty Name="cuentasCobrar" ColumnName="cuentasCobrar" />
          <ScalarProperty Name="cuentasPagar" ColumnName="cuentasPagar" />
          <ScalarProperty Name="configuracion" ColumnName="configuracion" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionConexionSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionConexion)">
        <MappingFragment StoreEntitySet="configuracionConexionSet">
          <ScalarProperty Name="visualBDAuxiliar1" ColumnName="visualBDAuxiliar" />
                <ScalarProperty Name="visualEntity1" ColumnName="visualEntity" />
                <ScalarProperty Name="visualSite1" ColumnName="visualSite" />
                <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="tipo" ColumnName="tipo" />
          <ScalarProperty Name="servidor" ColumnName="servidor" />
          <ScalarProperty Name="baseDatos" ColumnName="baseDatos" />
          <ScalarProperty Name="usuario" ColumnName="usuario" />
          <ScalarProperty Name="password" ColumnName="password" />
          </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionProductoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionProducto)">
        <MappingFragment StoreEntitySet="configuracionProductoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaCreacion" ColumnName="fechaCreacion" />
          <ScalarProperty Name="producto" ColumnName="producto" />
          <ScalarProperty Name="clasificacionSAT" ColumnName="clasificacionSAT" />
          <ScalarProperty Name="unidadSAT" ColumnName="unidadSAT" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionIncumplidosSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionIncumplidos)">
        <MappingFragment StoreEntitySet="configuracionIncumplidosSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="rfc" ColumnName="rfc" />
          <ScalarProperty Name="fechaCreacion" ColumnName="fechaCreacion" />
          <ScalarProperty Name="nombre" ColumnName="nombre" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionBancoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionBanco)">
        <MappingFragment StoreEntitySet="configuracionBancoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="banco" ColumnName="banco" />
          <ScalarProperty Name="CLABE" ColumnName="CLABE" />
          <ScalarProperty Name="cuenta" ColumnName="cuenta" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="VMX_FE">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.VMX_FE)">
        <MappingFragment StoreEntitySet="VMX_FE">
          <ScalarProperty Name="ROW_ID" ColumnName="ROW_ID" />
          <ScalarProperty Name="INVOICE_ID" ColumnName="INVOICE_ID" />
          <ScalarProperty Name="SELLO" ColumnName="SELLO" />
          <ScalarProperty Name="PDF" ColumnName="PDF" />
          <ScalarProperty Name="XML" ColumnName="XML" />
          <ScalarProperty Name="SERIE" ColumnName="SERIE" />
          <ScalarProperty Name="FORMATO" ColumnName="FORMATO" />
          <ScalarProperty Name="PEDIMENTO" ColumnName="PEDIMENTO" />
          <ScalarProperty Name="FECHA_PEDIMENTO" ColumnName="FECHA_PEDIMENTO" />
          <ScalarProperty Name="ADUANA" ColumnName="ADUANA" />
          <ScalarProperty Name="CREATE_DATE" ColumnName="CREATE_DATE" />
          <ScalarProperty Name="UPDATE_DATE" ColumnName="UPDATE_DATE" />
          <ScalarProperty Name="FORMA_DE_PAGO" ColumnName="FORMA_DE_PAGO" />
          <ScalarProperty Name="METODO_DE_PAGO" ColumnName="METODO_DE_PAGO" />
          <ScalarProperty Name="CTA_BANCO" ColumnName="CTA_BANCO" />
          <ScalarProperty Name="UUID" ColumnName="UUID" />
          <ScalarProperty Name="FechaTimbrado" ColumnName="FechaTimbrado" />
          <ScalarProperty Name="noCertificadoSAT" ColumnName="noCertificadoSAT" />
          <ScalarProperty Name="selloSAT" ColumnName="selloSAT" />
          <ScalarProperty Name="Cadena_TFD" ColumnName="Cadena_TFD" />
          <ScalarProperty Name="QR_Code" ColumnName="QR_Code" />
          <ScalarProperty Name="IMAGEN_QR_Code" ColumnName="IMAGEN_QR_Code" />
          <ScalarProperty Name="CADENA" ColumnName="CADENA" />
          <ScalarProperty Name="ESTADO" ColumnName="ESTADO" />
          <ScalarProperty Name="CANCELADO" ColumnName="CANCELADO" />
          <ScalarProperty Name="noCertificado" ColumnName="noCertificado" />
          <ScalarProperty Name="ADDR_NO" ColumnName="ADDR_NO" />
          <ScalarProperty Name="PEDIMENTOS" ColumnName="PEDIMENTOS" />
          <ScalarProperty Name="PDF_ESTADO" ColumnName="PDF_ESTADO" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="depositoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.deposito)">
        <MappingFragment StoreEntitySet="depositoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaCreacion" ColumnName="fechaCreacion" />
          <ScalarProperty Name="fechaDeposito" ColumnName="fechaDeposito" />
          <ScalarProperty Name="banco" ColumnName="banco" />
          <ScalarProperty Name="archivo" ColumnName="archivo" />
          <ScalarProperty Name="estado" ColumnName="estado" />
          <ScalarProperty Name="usuarioCreador" ColumnName="usuarioCreador" />
          <ScalarProperty Name="VISUALid" ColumnName="VISUALid" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="depositoLineaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.depositoLinea)">
        <MappingFragment StoreEntitySet="depositoLineaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="factura" ColumnName="factura" />
          <ScalarProperty Name="monto" ColumnName="monto" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionCCESet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionCCE)">
        <MappingFragment StoreEntitySet="configuracionCCESet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="emtityId" ColumnName="emtityId" />
          <ScalarProperty Name="excepcionCliente" ColumnName="excepcionCliente" />
          <ScalarProperty Name="excepcionProduct" ColumnName="excepcionProduct" />
          <ScalarProperty Name="excepcionArticulo" ColumnName="excepcionArticulo" />
          <ScalarProperty Name="UDFVMPRTMNT" ColumnName="UDFVMPRTMNT" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="configuracionUMSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.configuracionUM)">
        <MappingFragment StoreEntitySet="configuracionUMSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="UnidadMedida" ColumnName="UnidadMedida" />
          <ScalarProperty Name="SAT" ColumnName="SAT" />
          <ScalarProperty Name="CE" ColumnName="CE" />
          <ScalarProperty Name="FactorCE" ColumnName="FactorCE" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="ndcFacturaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.ndcFactura)">
        <MappingFragment StoreEntitySet="ndcFacturaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="tipoRelacion" ColumnName="tipoRelacion" />
          <ScalarProperty Name="INVOICE_ID" ColumnName="INVOICE_ID" />
          <ScalarProperty Name="UUID" ColumnName="UUID" />
          <ScalarProperty Name="INVOICE_ID_relacionada" ColumnName="INVOICE_ID_relacionada" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="CFDI_USUARIO">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.CFDI_USUARIO)">
        <MappingFragment StoreEntitySet="CFDI_USUARIO">
          <ScalarProperty Name="ROW_ID" ColumnName="ROW_ID" />
          <ScalarProperty Name="USUARIO" ColumnName="USUARIO" />
          <ScalarProperty Name="PASSWORD" ColumnName="PASSWORD" />
          <ScalarProperty Name="TIPO" ColumnName="TIPO" />
          <ScalarProperty Name="ROW_ID_EMPRESA" ColumnName="ROW_ID_EMPRESA" />
          <ScalarProperty Name="USUARIO_PRUEBA" ColumnName="USUARIO_PRUEBA" />
          <ScalarProperty Name="PASSWORD_PRUEBA" ColumnName="PASSWORD_PRUEBA" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="EMPRESA">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.EMPRESA)">
        <MappingFragment StoreEntitySet="EMPRESA">
                <ScalarProperty Name="ROW_ID" ColumnName="ROW_ID" />
          <ScalarProperty Name="ENTITY_ID" ColumnName="ENTITY_ID" />
          <ScalarProperty Name="ID" ColumnName="ID" />
          <ScalarProperty Name="RFC" ColumnName="RFC" />
          <ScalarProperty Name="CALLE" ColumnName="CALLE" />
          <ScalarProperty Name="EXTERIOR" ColumnName="EXTERIOR" />
          <ScalarProperty Name="INTERIOR" ColumnName="INTERIOR" />
          <ScalarProperty Name="COLONIA" ColumnName="COLONIA" />
          <ScalarProperty Name="CP" ColumnName="CP" />
          <ScalarProperty Name="LOCALIDAD" ColumnName="LOCALIDAD" />
          <ScalarProperty Name="REFERENCIA" ColumnName="REFERENCIA" />
          <ScalarProperty Name="PAIS" ColumnName="PAIS" />
          <ScalarProperty Name="ESTADO" ColumnName="ESTADO" />
          <ScalarProperty Name="MUNICIPIO" ColumnName="MUNICIPIO" />
          <ScalarProperty Name="SMTP" ColumnName="SMTP" />
          <ScalarProperty Name="USUARIO" ColumnName="USUARIO" />
          <ScalarProperty Name="PASSWORD_EMAIL" ColumnName="PASSWORD_EMAIL" />
          <ScalarProperty Name="PUERTO" ColumnName="PUERTO" />
          <ScalarProperty Name="SSL" ColumnName="SSL" />
          <ScalarProperty Name="CRENDENCIALES" ColumnName="CRENDENCIALES" />
          <ScalarProperty Name="ACTIVO" ColumnName="ACTIVO" />
          <ScalarProperty Name="REGIMEN_FISCAL" ColumnName="REGIMEN_FISCAL" />
          <ScalarProperty Name="TIPO" ColumnName="TIPO" />
          <ScalarProperty Name="SERVIDOR" ColumnName="SERVIDOR" />
          <ScalarProperty Name="BD" ColumnName="BD" />
          <ScalarProperty Name="USUARIO_BD" ColumnName="USUARIO_BD" />
          <ScalarProperty Name="PASSWORD_BD" ColumnName="PASSWORD_BD" />
          <ScalarProperty Name="CUSTOMER_ID" ColumnName="CUSTOMER_ID" />
          <ScalarProperty Name="ENVIO_CORREO" ColumnName="ENVIO_CORREO" />
          <ScalarProperty Name="SITE_ID" ColumnName="SITE_ID" />
          <ScalarProperty Name="BD_AUXILIAR" ColumnName="BD_AUXILIAR" />
          <ScalarProperty Name="DESCUENTO_LINEA" ColumnName="DESCUENTO_LINEA" />
          <ScalarProperty Name="CUSTOMER_ESPECIFICACION_LINEA" ColumnName="CUSTOMER_ESPECIFICACION_LINEA" />
          <ScalarProperty Name="IMPRESION_AUTOMATICA" ColumnName="IMPRESION_AUTOMATICA" />
          <ScalarProperty Name="IMPRESORA" ColumnName="IMPRESORA" />
          <ScalarProperty Name="IMPRESION_AUTOMATICA_NDC" ColumnName="IMPRESION_AUTOMATICA_NDC" />
          <ScalarProperty Name="ACTIVAR_COMPLEMENTO_CCE" ColumnName="ACTIVAR_COMPLEMENTO_CCE" />
          <ScalarProperty Name="APROXIMACION" ColumnName="APROXIMACION" />
          <ScalarProperty Name="VALORES_DECIMALES" ColumnName="VALORES_DECIMALES" />
          <ScalarProperty Name="relacionLinea" ColumnName="relacionLinea" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="ndcFacturaLineaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.ndcFacturaLinea)">
        <MappingFragment StoreEntitySet="ndcFacturaLineaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="INVOICE_ID" ColumnName="INVOICE_ID" />
          <ScalarProperty Name="LINE_NO" ColumnName="LINE_NO" />
          <ScalarProperty Name="invoice_id_relacionado" ColumnName="invoice_id_relacionado" />
          <ScalarProperty Name="invoice_id_relacionado_linea" ColumnName="invoice_id_relacionado_linea" />
          <ScalarProperty Name="PART_ID" ColumnName="PART_ID" />
          <ScalarProperty Name="clasificacion" ColumnName="clasificacion" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="cxpConciliacionSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloDocumentosFX.cxpConciliacion)">
        <MappingFragment StoreEntitySet="cxpConciliacionSet">
          <ScalarProperty Name="tipoDocumento1" ColumnName="tipoDocumento" />
                <ScalarProperty Name="oc1" ColumnName="oc" />
                <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="uuid" ColumnName="uuid" />
          <ScalarProperty Name="fechaCreacion" ColumnName="fechaCreacion" />
          <ScalarProperty Name="usuario" ColumnName="usuario" />
          <ScalarProperty Name="voucherId" ColumnName="voucherId" />
          <ScalarProperty Name="rfcEmisor" ColumnName="rfcEmisor" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <AssociationSetMapping Name="socioNegocionotificacion" TypeName="ModeloDocumentosFX.socioNegocionotificacion" StoreEntitySet="notificacionSet">
      <EndProperty Name="socioNegocio">
        <ScalarProperty Name="Id" ColumnName="socioNegocio_Id" />
      </EndProperty>
      <EndProperty Name="notificacion">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
    <AssociationSetMapping Name="socioNegocioconfiguracion" TypeName="ModeloDocumentosFX.socioNegocioconfiguracion" StoreEntitySet="configuracionNotificacionSet">
      <EndProperty Name="socioNegocio">
        <ScalarProperty Name="Id" ColumnName="socioNegocio_Id" />
      </EndProperty>
      <EndProperty Name="configuracion">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
    <AssociationSetMapping Name="socioNegociousuario" TypeName="ModeloDocumentosFX.socioNegociousuario" StoreEntitySet="usuarioSocioNegocioSet">
      <EndProperty Name="socioNegocio">
        <ScalarProperty Name="Id" ColumnName="socioNegocio_Id" />
      </EndProperty>
      <EndProperty Name="usuario">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
    <AssociationSetMapping Name="usuariodispositivo" TypeName="ModeloDocumentosFX.usuariodispositivo" StoreEntitySet="dispositivoSet">
      <EndProperty Name="usuario">
        <ScalarProperty Name="Id" ColumnName="usuario_Id" />
      </EndProperty>
      <EndProperty Name="dispositivo">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
    <AssociationSetMapping Name="socioNegocioconfiguracionConexion" TypeName="ModeloDocumentosFX.socioNegocioconfiguracionConexion" StoreEntitySet="configuracionConexionSet">
      <EndProperty Name="socioNegocio">
        <ScalarProperty Name="Id" ColumnName="socioNegocio_Id" />
      </EndProperty>
      <EndProperty Name="configuracionConexion">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
    <AssociationSetMapping Name="socioNegocioconfiguracionBanco" TypeName="ModeloDocumentosFX.socioNegocioconfiguracionBanco" StoreEntitySet="configuracionBancoSet">
      <EndProperty Name="socioNegocio">
        <ScalarProperty Name="Id" ColumnName="socioNegocio_Id" />
      </EndProperty>
      <EndProperty Name="configuracionBanco">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
    <AssociationSetMapping Name="depositodepositoLinea" TypeName="ModeloDocumentosFX.depositodepositoLinea" StoreEntitySet="depositoLineaSet">
      <EndProperty Name="deposito">
        <ScalarProperty Name="Id" ColumnName="deposito_Id" />
      </EndProperty>
      <EndProperty Name="depositoLinea">
        <ScalarProperty Name="Id" ColumnName="Id" />
      </EndProperty>
    </AssociationSetMapping>
  </EntityContainerMapping>
</Mapping></edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <edmx:Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <edmx:Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </edmx:Connection>
    <edmx:Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="False" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
        <DesignerProperty Name="UseLegacyProvider" Value="True" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="True" />
      </DesignerInfoPropertySet>
    </edmx:Options>
    <!-- Diagram content (shape and connector positions) -->
    <edmx:Diagrams>
    </edmx:Diagrams>
  </edmx:Designer>
</edmx:Edmx>
